//----------------------------------------------------------------------------
// definitions for sunsetlib

#ifndef sunsetlib_h
#define sunsetlib_h

#include                "time.h"

// ----------------------------------------------------------------------------
// Global Forwards
// ----------------------------------------------------------------------------

// t=sunRise(date, lat, long, gmtOffset);
// t=sunSet(date, lat, long, gmtOffset);


time_t sunRise(
    time_t              date,
    double              latitude,
    double              longitude,
    double              gmtOffset
    );

time_t sunSet(
    time_t              date,
    double              latitude,
    double              longitude,
    double              gmtOffset
    );

#endif //sunsetlib
